Loading...
Searching...
No Matches
AvailableDesktopArea Class Reference

Used to inform qtmir/miral about the available desktop area of shell. More...

`#include <plugins/WindowManager/AvailableDesktopArea.h>`

## Public Member Functions

| AvailableDesktopArea (QQuickItem *parent=nullptr)

## Protected Member Functions

void | itemChange (ItemChange change, const ItemChangeData &value) override

## Detailed Description

Used to inform qtmir/miral about the available desktop area of shell.

So that qtmir/miral can take correct window management decisions.

Definition at line 27 of file AvailableDesktopArea.h.

## Constructor & Destructor Documentation

## AvailableDesktopArea()

AvailableDesktopArea::AvailableDesktopArea | ( | QQuickItem * | parent = nullptr | ) |

Definition at line 23 of file AvailableDesktopArea.cpp.

: QQuickItem(parent)
{
connect(this, &QQuickItem::xChanged, this, &AvailableDesktopArea::updatePlatformWindowProperty);
connect(this, &QQuickItem::yChanged, this, &AvailableDesktopArea::updatePlatformWindowProperty);
connect(this, &QQuickItem::widthChanged, this, &AvailableDesktopArea::updatePlatformWindowProperty);
connect(this, &QQuickItem::heightChanged, this, &AvailableDesktopArea::updatePlatformWindowProperty);
}

## Member Function Documentation

## itemChange()

void AvailableDesktopArea::itemChange | ( | ItemChange | change,
|  | const ItemChangeData & | value )

override protected

Definition at line 45 of file AvailableDesktopArea.cpp.

{
if (change == ItemSceneChange) {
updatePlatformWindowProperty();
}
}

The documentation for this class was generated from the following files:

- plugins/WindowManager/AvailableDesktopArea.h
- plugins/WindowManager/AvailableDesktopArea.cpp